## org.eclipse.datatools.connectivity.sqm.core.ui.explorer.filter
Class ConnectionFilterWizardPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.datatools.connectivity.sqm.core.ui.explorer.filter.ConnectionFilterWizardPage

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.filter.IConnectionFilterProvider, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public abstract class ConnectionFilterWizardPage

extends org.eclipse.jface.wizard.WizardPage
implements org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.filter.IConnectionFilterProvider

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ConnectionFilterWizardPage(java.lang.String pageName)`

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`void` `createControl(org.eclipse.swt.widgets.Composite parent, boolean hideExpressionOption, boolean hideSelectionOption)`
`void` `dataChanged()` This method is called when ever the user changes the filter settings.
`abstract org.eclipse.datatools.connectivity.sqm.internal.core.connection.ConnectionFilter` `getConnectionFilter()` This method provides the filter to use to initialize the UI.
`java.lang.String` `getPredicate()` This method returns the filter predicate that should be used to set the connection filter
`boolean` `isFilterSpecified()` This method indicates whether the filter is disabled or not.
`boolean` `isIncludeSelected()` This method indicates whether the include or exclude option is selected for a selection filter.
`void` `populateSelectionTable()` This method will refresh the contents of the table
`void` `populateSelectionTable(org.eclipse.swt.widgets.Table selectionTable)` Override this method to override the default table population implementation.
`void` `setSelectionListPopulated(boolean isPopulated)`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Constructor Detail

### ConnectionFilterWizardPage

    public ConnectionFilterWizardPage(java.lang.String pageName)

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent,
                              boolean hideExpressionOption,
                              boolean hideSelectionOption)

### dataChanged

    public void dataChanged()

  This method is called when ever the user changes the filter settings.

  Specified by:
    `dataChanged` in interface `org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.filter.IConnectionFilterProvider`

### getPredicate

    public java.lang.String getPredicate()

  This method returns the filter predicate that should be used to set the connection filter

### isFilterSpecified

    public boolean isFilterSpecified()

  This method indicates whether the filter is disabled or not.

### isIncludeSelected

    public boolean isIncludeSelected()

  This method indicates whether the include or exclude option is selected for a selection filter.

### populateSelectionTable

    public void populateSelectionTable(org.eclipse.swt.widgets.Table selectionTable)

  Override this method to override the default table population implementation.

  Specified by:
    `populateSelectionTable` in interface `org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.filter.IConnectionFilterProvider`

### populateSelectionTable

    public void populateSelectionTable()

  This method will refresh the contents of the table

### setSelectionListPopulated

    public void setSelectionListPopulated(boolean isPopulated)

### getConnectionFilter

    public abstract org.eclipse.datatools.connectivity.sqm.internal.core.connection.ConnectionFilter getConnectionFilter()

  This method provides the filter to use to initialize the UI.

  Specified by:
    `getConnectionFilter` in interface `org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.filter.IConnectionFilterProvider`